Bug 217365 - misc/amanda-server update to version 3.3.9
Summary: misc/amanda-server update to version 3.3.9
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: Thomas Zander
URL:
Keywords: needs-qa, patch
Depends on:
Blocks:
 
Reported: 2017-02-25 23:21 UTC by net
Modified: 2017-05-28 07:24 UTC (History)
3 users (show)

See Also:
riggs: maintainer-feedback-


Attachments
Port update (4.65 KB, patch)
2017-02-25 23:21 UTC, net
no flags Details | Diff
Updated patch (4.72 KB, patch)
2017-05-14 20:22 UTC, Thomas Zander
riggs: maintainer-approval? (fbsd)
Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description net 2017-02-25 23:21:53 UTC
Created attachment 180305 [details]
Port update

Hello,

this is an update to Amanda (both server, client, perl-wrapper) to version 3.3.9 which includes some security fixes over the available version 3.3.6.
I've already contacted the port maintainer, but it looks my mail(s) got eaten by some mail provider.
Changes apart the previous port:

- using /var/db/amanda instead of ${PREFIX}/var/db/amanda because ${PREFIX} might be mounted read-only
- new configure option "--with-security-file" because Amanda reports strange errors if this configure option is missing at all

Port has been tested with Poudiere and the manual way, the server operation has been tested on FreeBSD 10.3 and 11.0, connecting to a mix of clients (Windows, Linux, FreeBSD).

Note: this port includes the proposed option change from bug report 215309
Comment 1 Thomas Zander freebsd_committer 2017-05-14 20:22:28 UTC
Created attachment 182602 [details]
Updated patch

Updated patch addresses some issues with previous version by submitter:
- plist fixes
- No change of default work dirs for amanda: ${PREFIX}/var/amanda is fine
Comment 2 Thomas Zander freebsd_committer 2017-05-20 17:36:23 UTC
Ping
Comment 3 Thomas Zander freebsd_committer 2017-05-28 07:13:20 UTC
Maintainer timeout
Comment 4 commit-hook freebsd_committer 2017-05-28 07:17:49 UTC
A commit references this bug:

Author: riggs
Date: Sun May 28 07:17:09 UTC 2017
New revision: 441897
URL: https://svnweb.freebsd.org/changeset/ports/441897

Log:
  Update to upstream version 3.3.9

  PR:		217365
  Submitted by:	net@arrishq.net
  Approved by:	maintainer timeout

Changes:
  head/misc/amanda-server/Makefile
  head/misc/amanda-server/distinfo
  head/misc/amanda-server/files/patch-perl__Makefile.in
  head/misc/amanda-server/pkg-plist